﻿package
{
	import flash.display.Sprite; 
	import flash.utils.setInterval;
	public class Trainer extends Sprite
	{
		public function Trainer()
		{
			setInterval(addStraw,200);
		}
		private function addStraw():void
		{
			var straw:Straw = new Straw(stage.stageHeight);
			straw.x = stage.stageWidth;
			this.addChild(straw);
		}
	}
}
import flash.display.Sprite;
import flash.events.Event;
internal class Straw extends Sprite
{
	var _width:Number;
	public function Straw(width:Number):void
	{
		_width = width;
		this.graphics.beginFill(0x5858FA,.50);
		this.graphics.drawRect(1,300,Math.random()*40+1,30);
		this.graphics.endFill();
		this.addEventListener(Event.ENTER_FRAME,enterHandler);
	}
	private function enterHandler(e:Event):void
	{
		if(this.x <= parent.mouseX){
			var f:Number = parent.mouseX-this.x;
			var c:Number = parent.mouseY-this.y;
			var alpha:Number = Math.asin(f/Math.sqrt(f*f + c*c))*500/Math.PI;
			if(Math.sqrt(f*f + c*c)>=_width){
				(this.rotation<0)?this.rotation++:this.rotation=360;
			}else{
				this.rotation = -alpha;
			}
		}
		if(this.x<=0 && this.rotation==0){
			this.removeEventListener(Event.ENTER_FRAME,enterHandler);
			parent.removeChild(parent.getChildByName(this.name));
		}else{
			this.x-=1;
		}
	}
}